<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
    Copyright (c) 2010 IBM Corporation and others.
    All rights reserved. This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    http://www.eclipse.org/legal/epl-2.0/
   
    Contributors:
        IBM Corporation - initial API and implementation
 -->

<plugin>
 
   <extension
         point="org.eclipse.ui.commands">
      <category
            name="%category.name.releng"
            id="org.eclipse.wtp.releng.fixups.commands.category">
      </category>
      <command
            name="%command.name.checklicenses"
            categoryId="org.eclipse.wtp.releng.fixups.commands.category"
            id="org.eclipse.wtp.releng.fixups.commands.checklicenses">
      </command>
            <command
            name="%command.name.migratelicenses"
            categoryId="org.eclipse.wtp.releng.fixups.commands.category"
            id="org.eclipse.wtp.releng.fixups.commands.migratelicenses">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.eclipse.wtp.releng.fixups.commands.checklicenses"
            class="org.eclipse.wtp.releng.fixups.handlers.CheckLicenses">
      </handler>
      <handler
            commandId="org.eclipse.wtp.releng.fixups.commands.migratelicenses"
            class="org.eclipse.wtp.releng.fixups.handlers.MigrateLicenses">
      </handler>      
   </extension>
   <!--
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="org.eclipse.wtp.releng.fixups.commands.checklicenses"
            contextId="org.eclipse.ui.contexts.window"
            sequence="M1+6"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration">
      </key>
   </extension>
   -->
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu 
               label="%menu.label.releng"
               mnemonic="%menu.mnemonic.releng"
               id="org.eclipse.wtp.releng.fixups.menus.checklicenses">
            <command
                  commandId="org.eclipse.wtp.releng.fixups.commands.checklicenses"
                  mnemonic="%command.mnemonic.checklicense"
                  id="org.eclipse.wtp.releng.fixups.menus.checklicenses">
            </command>
            <command
                  commandId="org.eclipse.wtp.releng.fixups.commands.migratelicenses"
                  mnemonic="%command.mnemonic.migratelicense"
                  id="org.eclipse.wtp.releng.fixups.menus.migratelicenses">
            </command>            
         </menu>
      </menuContribution>
   </extension>

</plugin>
